classification
Title: Expose specialization stats in python
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.11
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mark.Shannon, corona10, iritkatriel
Priority: normal Keywords: patch

Created on 2021-07-23 14:04 by iritkatriel, last changed 2021-08-02 14:22 by iritkatriel. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 27192 merged iritkatriel, 2021-07-23 14:05
Messages (3)
msg398055 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-07-23 14:04
Make it possible to fetch the current specialization stats in python so that we can compute deltas for small code snippets as well as use them for specialization unit tests.
msg398497 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-07-29 16:27
New changeset ddd1c418c05da0de978c75dfb3e4a5b8d27e1d9f by Irit Katriel in branch 'main':
bpo-44725 : expose specialization stats in python (GH-27192)
https://github.com/python/cpython/commit/ddd1c418c05da0de978c75dfb3e4a5b8d27e1d9f
msg398775 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-08-02 14:22
Closing as the stats we added. I'll create a new issue for the refactor we discussed on the PR.
History
Date User Action Args
2021-08-02 14:22:55iritkatrielsetstatus: open -> closed
resolution: fixed
messages: + msg398775

stage: patch review -> resolved
2021-07-29 16:27:12Mark.Shannonsetnosy: + Mark.Shannon
messages: + msg398497
2021-07-25 15:53:32corona10setnosy: + corona10
2021-07-23 14:05:18iritkatrielsetkeywords: + patch
stage: patch review
pull_requests: + pull_request25851
2021-07-23 14:04:08iritkatrielcreate